public inbox for patches@lists.linux.dev
 help / color / mirror / Atom feed
From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: stable@vger.kernel.org
Cc: Greg Kroah-Hartman <gregkh@linuxfoundation.org>,
	patches@lists.linux.dev,
	"Ricardo B. Marliere" <rbmarliere@gmail.com>,
	Shuah Khan <skhan@linuxfoundation.org>,
	Sasha Levin <sashal@kernel.org>
Subject: [PATCH 5.15 122/183] selftests: fix dependency checker script
Date: Wed,  4 Oct 2023 19:55:53 +0200	[thread overview]
Message-ID: <20231004175209.063043872@linuxfoundation.org> (raw)
In-Reply-To: <20231004175203.943277832@linuxfoundation.org>

5.15-stable review patch.  If anyone has any objections, please let me know.

------------------

From: Ricardo B. Marliere <rbmarliere@gmail.com>

[ Upstream commit 5f9dd2e896a91bfca90f8463eb6808c03d535d8a ]

This patch fixes inconsistencies in the parsing rules of the levels 1
and 2 of the kselftest_deps.sh.  It was added the levels 4 and 5 to
account for a few edge cases that are present in some tests, also some
minor identation styling have been fixed (s/    /\t/g).

Signed-off-by: Ricardo B. Marliere <rbmarliere@gmail.com>
Signed-off-by: Shuah Khan <skhan@linuxfoundation.org>
Signed-off-by: Sasha Levin <sashal@kernel.org>
---
 tools/testing/selftests/kselftest_deps.sh | 77 +++++++++++++++++++----
 1 file changed, 65 insertions(+), 12 deletions(-)

diff --git a/tools/testing/selftests/kselftest_deps.sh b/tools/testing/selftests/kselftest_deps.sh
index 00e60d6eb16bc..7e51f4a373d35 100755
--- a/tools/testing/selftests/kselftest_deps.sh
+++ b/tools/testing/selftests/kselftest_deps.sh
@@ -46,11 +46,11 @@ fi
 print_targets=0
 
 while getopts "p" arg; do
-    case $arg in
-        p)
+	case $arg in
+		p)
 		print_targets=1
 	shift;;
-    esac
+	esac
 done
 
 if [ $# -eq 0 ]
@@ -92,6 +92,10 @@ pass_cnt=0
 # Get all TARGETS from selftests Makefile
 targets=$(egrep "^TARGETS +|^TARGETS =" Makefile | cut -d "=" -f2)
 
+# Initially, in LDLIBS related lines, the dep checker needs
+# to ignore lines containing the following strings:
+filter="\$(VAR_LDLIBS)\|pkg-config\|PKG_CONFIG\|IOURING_EXTRA_LIBS"
+
 # Single test case
 if [ $# -eq 2 ]
 then
@@ -100,6 +104,8 @@ then
 	l1_test $test
 	l2_test $test
 	l3_test $test
+	l4_test $test
+	l5_test $test
 
 	print_results $1 $2
 	exit $?
@@ -113,7 +119,7 @@ fi
 # Append space at the end of the list to append more tests.
 
 l1_tests=$(grep -r --include=Makefile "^LDLIBS" | \
-		grep -v "VAR_LDLIBS" | awk -F: '{print $1}')
+		grep -v "$filter" | awk -F: '{print $1}' | uniq)
 
 # Level 2: LDLIBS set dynamically.
 #
@@ -126,7 +132,7 @@ l1_tests=$(grep -r --include=Makefile "^LDLIBS" | \
 # Append space at the end of the list to append more tests.
 
 l2_tests=$(grep -r --include=Makefile ": LDLIBS" | \
-		grep -v "VAR_LDLIBS" | awk -F: '{print $1}')
+		grep -v "$filter" | awk -F: '{print $1}' | uniq)
 
 # Level 3
 # memfd and others use pkg-config to find mount and fuse libs
@@ -138,11 +144,32 @@ l2_tests=$(grep -r --include=Makefile ": LDLIBS" | \
 #	VAR_LDLIBS := $(shell pkg-config fuse --libs 2>/dev/null)
 
 l3_tests=$(grep -r --include=Makefile "^VAR_LDLIBS" | \
-		grep -v "pkg-config" | awk -F: '{print $1}')
+		grep -v "pkg-config\|PKG_CONFIG" | awk -F: '{print $1}' | uniq)
 
-#echo $l1_tests
-#echo $l2_1_tests
-#echo $l3_tests
+# Level 4
+# some tests may fall back to default using `|| echo -l<libname>`
+# if pkg-config doesn't find the libs, instead of using VAR_LDLIBS
+# as per level 3 checks.
+# e.g:
+# netfilter/Makefile
+#	LDLIBS += $(shell $(HOSTPKG_CONFIG) --libs libmnl 2>/dev/null || echo -lmnl)
+l4_tests=$(grep -r --include=Makefile "^LDLIBS" | \
+		grep "pkg-config\|PKG_CONFIG" | awk -F: '{print $1}' | uniq)
+
+# Level 5
+# some tests may use IOURING_EXTRA_LIBS to add extra libs to LDLIBS,
+# which in turn may be defined in a sub-Makefile
+# e.g.:
+# mm/Makefile
+#	$(OUTPUT)/gup_longterm: LDLIBS += $(IOURING_EXTRA_LIBS)
+l5_tests=$(grep -r --include=Makefile "LDLIBS +=.*\$(IOURING_EXTRA_LIBS)" | \
+	awk -F: '{print $1}' | uniq)
+
+#echo l1_tests $l1_tests
+#echo l2_tests $l2_tests
+#echo l3_tests $l3_tests
+#echo l4_tests $l4_tests
+#echo l5_tests $l5_tests
 
 all_tests
 print_results $1 $2
@@ -164,24 +191,32 @@ all_tests()
 	for test in $l3_tests; do
 		l3_test $test
 	done
+
+	for test in $l4_tests; do
+		l4_test $test
+	done
+
+	for test in $l5_tests; do
+		l5_test $test
+	done
 }
 
 # Use same parsing used for l1_tests and pick libraries this time.
 l1_test()
 {
 	test_libs=$(grep --include=Makefile "^LDLIBS" $test | \
-			grep -v "VAR_LDLIBS" | \
+			grep -v "$filter" | \
 			sed -e 's/\:/ /' | \
 			sed -e 's/+/ /' | cut -d "=" -f 2)
 
 	check_libs $test $test_libs
 }
 
-# Use same parsing used for l2__tests and pick libraries this time.
+# Use same parsing used for l2_tests and pick libraries this time.
 l2_test()
 {
 	test_libs=$(grep --include=Makefile ": LDLIBS" $test | \
-			grep -v "VAR_LDLIBS" | \
+			grep -v "$filter" | \
 			sed -e 's/\:/ /' | sed -e 's/+/ /' | \
 			cut -d "=" -f 2)
 
@@ -197,6 +232,24 @@ l3_test()
 	check_libs $test $test_libs
 }
 
+l4_test()
+{
+	test_libs=$(grep --include=Makefile "^VAR_LDLIBS\|^LDLIBS" $test | \
+			grep "\(pkg-config\|PKG_CONFIG\).*|| echo " | \
+			sed -e 's/.*|| echo //' | sed -e 's/)$//')
+
+	check_libs $test $test_libs
+}
+
+l5_test()
+{
+	tests=$(find $(dirname "$test") -type f -name "*.mk")
+	test_libs=$(grep "^IOURING_EXTRA_LIBS +\?=" $tests | \
+			cut -d "=" -f 2)
+
+	check_libs $test $test_libs
+}
+
 check_libs()
 {
 
-- 
2.40.1




  parent reply	other threads:[~2023-10-04 18:07 UTC|newest]

Thread overview: 213+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-10-04 17:53 [PATCH 5.15 000/183] 5.15.134-rc1 review Greg Kroah-Hartman
2023-10-04 17:53 ` [PATCH 5.15 001/183] NFS: Use the correct commit info in nfs_join_page_group() Greg Kroah-Hartman
2023-10-04 17:53 ` [PATCH 5.15 002/183] NFS: More fixes for nfs_direct_write_reschedule_io() Greg Kroah-Hartman
2023-10-04 17:53 ` [PATCH 5.15 003/183] NFS/pNFS: Report EINVAL errors from connect() to the server Greg Kroah-Hartman
2023-10-04 17:53 ` [PATCH 5.15 004/183] SUNRPC: Mark the cred for revalidation if the server rejects it Greg Kroah-Hartman
2023-10-04 17:53 ` [PATCH 5.15 005/183] NFSv4.1: use EXCHGID4_FLAG_USE_PNFS_DS for DS server Greg Kroah-Hartman
2023-10-04 17:53 ` [PATCH 5.15 006/183] NFSv4.1: fix pnfs MDS=DS session trunking Greg Kroah-Hartman
2023-10-04 17:53 ` [PATCH 5.15 007/183] tracing: Make trace_marker{,_raw} stream-like Greg Kroah-Hartman
2023-10-04 17:53 ` [PATCH 5.15 008/183] tracing: Increase trace array ref count on enable and filter files Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 009/183] ata: ahci: Drop pointless VPRINTK() calls and convert the remaining ones Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 010/183] ata: libahci: clear pending interrupt status Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 011/183] ext4: scope ret locally in ext4_try_to_trim_range() Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 012/183] ext4: change s_last_trim_minblks type to unsigned long Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 013/183] ext4: replace the traditional ternary conditional operator with with max()/min() Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 014/183] ext4: move setting of trimmed bit into ext4_try_to_trim_range() Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 015/183] ext4: do not let fstrim block system suspend Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 016/183] tracing: Have event inject files inc the trace array ref count Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 017/183] netfilter: nf_tables: dont skip expired elements during walk Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 018/183] netfilter: nf_tables: GC transaction API to avoid race with control plane Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 019/183] netfilter: nf_tables: adapt set backend to use GC transaction API Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 020/183] netfilter: nft_set_hash: mark set element as dead when deleting from packet path Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 021/183] netfilter: nf_tables: remove busy mark and gc batch API Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 022/183] netfilter: nf_tables: dont fail inserts if duplicate has expired Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 023/183] netfilter: nf_tables: fix GC transaction races with netns and netlink event exit path Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 024/183] netfilter: nf_tables: GC transaction race with netns dismantle Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 025/183] netfilter: nf_tables: GC transaction race with abort path Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 026/183] netfilter: nf_tables: use correct lock to protect gc_list Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 027/183] netfilter: nf_tables: defer gc run if previous batch is still pending Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 028/183] netfilter: nft_set_rbtree: skip sync GC for new elements in this transaction Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 029/183] netfilter: nft_set_rbtree: use read spinlock to avoid datapath contention Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 030/183] netfilter: nft_set_pipapo: call nft_trans_gc_queue_sync() in catchall GC Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 031/183] netfilter: nft_set_pipapo: stop GC iteration if GC transaction allocation fails Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 032/183] netfilter: nft_set_hash: try later when GC hits EAGAIN on iteration Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 033/183] netfilter: nf_tables: fix memleak when more than 255 elements expired Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 034/183] ASoC: meson: spdifin: start hw on dai probe Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 035/183] netfilter: nf_tables: disallow element removal on anonymous sets Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 036/183] bpf: Avoid deadlock when using queue and stack maps from NMI Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 037/183] selftests: tls: swap the TX and RX sockets in some tests Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 038/183] net/core: Fix ETH_P_1588 flow dissector Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 039/183] ASoC: imx-audmix: Fix return error with devm_clk_get() Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 040/183] iavf: do not process adminq tasks when __IAVF_IN_REMOVE_TASK is set Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 041/183] i40e: Add VF VLAN pruning Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 042/183] i40e: Fix VF VLAN offloading when port VLAN is configured Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 043/183] ionic: fix 16bit math issue when PAGE_SIZE >= 64KB Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 044/183] igc: Fix infinite initialization loop with early XDP redirect Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 045/183] ipv4: fix null-deref in ipv4_link_failure Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 046/183] powerpc/perf/hv-24x7: Update domain value check Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 047/183] dccp: fix dccp_v4_err()/dccp_v6_err() again Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 048/183] platform/x86: intel_scu_ipc: Check status after timeout in busy_loop() Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 049/183] platform/x86: intel_scu_ipc: Check status upon timeout in ipc_wait_for_interrupt() Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 050/183] platform/x86: intel_scu_ipc: Dont override scu in intel_scu_ipc_dev_simple_command() Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 051/183] platform/x86: intel_scu_ipc: Fail IPC send if still busy Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 052/183] x86/srso: Fix srso_show_state() side effect Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 053/183] x86/srso: Fix SBPB enablement for spec_rstack_overflow=off Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 054/183] net: hns3: fix GRE checksum offload issue Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 055/183] net: hns3: only enable unicast promisc when mac table full Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 056/183] net: hns3: fix fail to delete tc flower rules during reset issue Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 057/183] net: hns3: add 5ms delay before clear firmware reset irq source Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 058/183] net: bridge: use DEV_STATS_INC() Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 059/183] team: fix null-ptr-deref when team device type is changed Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 060/183] net: rds: Fix possible NULL-pointer dereference Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 061/183] netfilter: nf_tables: disable toggling dormant table state more than once Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 062/183] netfilter: ipset: Fix race between IPSET_CMD_CREATE and IPSET_CMD_SWAP Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 063/183] locking/seqlock: Do the lockdep annotation before locking in do_write_seqcount_begin_nested() Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 064/183] net: ena: Flush XDP packets on error Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 065/183] bnxt_en: Flush XDP for bnxt_poll_nitroa0()s NAPI Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 066/183] igc: Expose tx-usecs coalesce setting to user Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 067/183] Fix up backport of 136191703038 ("interconnect: Teach lockdep about icc_bw_lock order") Greg Kroah-Hartman
2023-10-04 17:54 ` [PATCH 5.15 068/183] gpio: tb10x: Fix an error handling path in tb10x_gpio_probe() Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 069/183] i2c: mux: demux-pinctrl: check the return value of devm_kstrdup() Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 070/183] i2c: mux: gpio: Replace custom acpi_get_local_address() Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 071/183] i2c: mux: gpio: Add missing fwnode_handle_put() Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 072/183] xfs: bound maximum wait time for inodegc work Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 073/183] xfs: introduce xfs_inodegc_push() Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 074/183] xfs: explicitly specify cpu when forcing inodegc delayed work to run immediately Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 075/183] xfs: check that per-cpu inodegc workers actually run on that cpu Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 076/183] xfs: disable reaping in fscounters scrub Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 077/183] xfs: fix xfs_inodegc_stop racing with mod_delayed_work Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 078/183] Input: i8042 - rename i8042-x86ia64io.h to i8042-acpipnpio.h Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 079/183] Input: i8042 - add quirk for TUXEDO Gemini 17 Gen1/Clevo PD70PN Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 080/183] perf jevents: Switch build to use jevents.py Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 081/183] perf build: Update build rule for generated files Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 082/183] netfilter: exthdr: add support for tcp option removal Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 083/183] netfilter: nft_exthdr: Fix non-linear header modification Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 084/183] ata: libata: Rename link flag ATA_LFLAG_NO_DB_DELAY Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 085/183] ata: ahci: Add support for AMD A85 FCH (Hudson D4) Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 086/183] ata: ahci: Rename board_ahci_mobile Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 087/183] ata: ahci: Add Elkhart Lake AHCI controller Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 088/183] scsi: qla2xxx: Select qpair depending on which CPU post_cmd() gets called Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 089/183] scsi: qla2xxx: Use raw_smp_processor_id() instead of smp_processor_id() Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 090/183] btrfs: reset destination buffer when read_extent_buffer() gets invalid range Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 091/183] MIPS: Alchemy: only build mmc support helpers if au1xmmc is enabled Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 092/183] drm/bridge: ti-sn65dsi83: Do not generate HFP/HBP/HSA and EOT packet Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 093/183] bus: ti-sysc: Use fsleep() instead of usleep_range() in sysc_reset() Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 094/183] bus: ti-sysc: Fix missing AM35xx SoC matching Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 095/183] clk: tegra: fix error return case for recalc_rate Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 096/183] treewide: Replace GPLv2 boilerplate/reference with SPDX - gpl-2.0_56.RULE (part 1) Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 097/183] ARM: dts: omap: correct indentation Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 098/183] ARM: dts: ti: omap: Fix bandgap thermal cells addressing for omap3/4 Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 099/183] ARM: dts: ti: omap: motorola-mapphone: Fix abe_clkctrl warning on boot Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 100/183] bus: ti-sysc: Fix SYSC_QUIRK_SWSUP_SIDLE_ACT handling for uart wake-up Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 101/183] power: supply: ucs1002: fix error code in ucs1002_get_property() Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 102/183] firmware: imx-dsp: Fix an error handling path in imx_dsp_setup_channels() Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 103/183] xtensa: add default definition for XCHAL_HAVE_DIV32 Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 104/183] xtensa: iss/network: make functions static Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 105/183] xtensa: boot: dont add include-dirs Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 106/183] xtensa: boot/lib: fix function prototypes Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 107/183] soc: imx8m: Enable OCOTP clock for imx8mm before reading registers Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 108/183] gpio: pmic-eic-sprd: Add can_sleep flag for PMIC EIC chip Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 109/183] i2c: npcm7xx: Fix callback completion ordering Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 110/183] dma-debug: dont call __dma_entry_alloc_check_leak() under free_entries_lock Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 111/183] spi: sun6i: reduce DMA RX transfer width to single byte Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 112/183] spi: sun6i: fix race between DMA RX transfer completion and RX FIFO drain Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 113/183] parisc: sba: Fix compile warning wrt list of SBA devices Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 114/183] parisc: iosapic.c: Fix sparse warnings Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 115/183] parisc: drivers: Fix sparse warning Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 116/183] parisc: irq: Make irq_stack_union static to avoid " Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 117/183] scsi: qedf: Add synchronization between I/O completions and abort Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 118/183] scsi: ufs: core: Move __ufshcd_send_uic_cmd() outside host_lock Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 119/183] selftests/ftrace: Correctly enable event in instance-event.tc Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 120/183] ring-buffer: Avoid softlockup in ring_buffer_resize() Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 121/183] btrfs: improve error message after failure to add delayed dir index item Greg Kroah-Hartman
2023-10-04 17:55 ` Greg Kroah-Hartman [this message]
2023-10-04 17:55 ` [PATCH 5.15 123/183] ring-buffer: Do not attempt to read past "commit" Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 124/183] platform/mellanox: mlxbf-bootctl: add NET dependency into Kconfig Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 125/183] drm/amd/display: Dont check registers, if using AUX BL control Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 126/183] drm/amdgpu: Handle null atom context in VBIOS info ioctl Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 127/183] scsi: pm80xx: Use phy-specific SAS address when sending PHY_START command Greg Kroah-Hartman
2023-10-04 17:55 ` [PATCH 5.15 128/183] scsi: pm80xx: Avoid leaking tags when processing OPC_INB_SET_CONTROLLER_CONFIG command Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 129/183] smb3: correct places where ENOTSUPP is used instead of preferred EOPNOTSUPP Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 130/183] ata: libata-eh: do not clear ATA_PFLAG_EH_PENDING in ata_eh_reset() Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 131/183] spi: nxp-fspi: reset the FLSHxCR1 registers Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 132/183] spi: stm32: add a delay before SPI disable Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 133/183] ASoC: fsl: imx-pcm-rpmsg: Add SNDRV_PCM_INFO_BATCH flag Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 134/183] bpf: Clarify error expectations from bpf_clone_redirect Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 135/183] ASoC: imx-rpmsg: Set ignore_pmdown_time for dai_link Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 136/183] media: vb2: frame_vector.c: replace WARN_ONCE with a comment Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 137/183] powerpc/watchpoints: Disable preemption in thread_change_pc() Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 138/183] powerpc/watchpoint: Disable pagefaults when getting user instruction Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 139/183] powerpc/watchpoints: Annotate atomic context in more places Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 140/183] ncsi: Propagate carrier gain/loss events to the NCSI controller Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 141/183] fbdev/sh7760fb: Depend on FB=y Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 142/183] perf build: Define YYNOMEM as YYNOABORT for bison < 3.81 Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 143/183] sched/cpuacct: Optimize away RCU read lock Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 144/183] cgroup: Fix suspicious rcu_dereference_check() usage warning Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 145/183] nvme-pci: factor the iod mempool creation into a helper Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 146/183] nvme-pci: factor out a nvme_pci_alloc_dev helper Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 147/183] nvme-pci: do not set the NUMA node of device if it has none Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 148/183] watchdog: iTCO_wdt: No need to stop the timer in probe Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 149/183] watchdog: iTCO_wdt: Set NO_REBOOT if the watchdog is not already running Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 150/183] i40e: fix potential NULL pointer dereferencing of pf->vf i40e_sync_vsi_filters() Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 151/183] perf metric: Return early if no CPU PMU table exists Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 152/183] scsi: qla2xxx: Fix NULL pointer dereference in target mode Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 153/183] nvme-pci: always return an ERR_PTR from nvme_pci_alloc_dev Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 154/183] smack: Record transmuting in smk_transmuted Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 155/183] smack: Retrieve transmuting information in smack_inode_getsecurity() Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 156/183] Smack:- Use overlay inode label in smack_inode_copy_up() Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 157/183] iommu/arm-smmu-v3: Fix soft lockup triggered by arm_smmu_mm_invalidate_range Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 158/183] x86/srso: Add SRSO mitigation for Hygon processors Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 159/183] misc: rtsx: Fix some platforms can not boot and move the l1ss judgment to probe Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 160/183] Revert "tty: n_gsm: fix UAF in gsm_cleanup_mux" Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 161/183] serial: 8250_port: Check IRQ data before use Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 162/183] nilfs2: fix potential use after free in nilfs_gccache_submit_read_data() Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 163/183] netfilter: nf_tables: disallow rule removal from chain binding Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 164/183] ALSA: hda: Disable power save for solving pop issue on Lenovo ThinkCentre M70q Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 165/183] ata: libata-scsi: ignore reserved bits for REPORT SUPPORTED OPERATION CODES Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 166/183] i2c: i801: unregister tco_pdev in i801_probe() error path Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 167/183] kernel/sched: Modify initial boot task idle setup Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 168/183] sched/rt: Fix live lock between select_fallback_rq() and RT push Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 169/183] io_uring/fs: remove sqe->rw_flags checking from LINKAT Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 170/183] Revert "SUNRPC dont update timeout value on connection reset" Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 171/183] proc: nommu: /proc/<pid>/maps: release mmap read lock Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 172/183] ring-buffer: Update "shortest_full" in polling Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 173/183] btrfs: properly report 0 avail for very full file systems Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 174/183] bpf: Fix BTF_ID symbol generation collision Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 175/183] bpf: Fix BTF_ID symbol generation collision in tools/ Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 176/183] net: thunderbolt: Fix TCPv6 GSO checksum calculation Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 177/183] ata: libata-core: Fix ata_port_request_pm() locking Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 178/183] ata: libata-core: Fix port and device removal Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 179/183] ata: libata-core: Do not register PM operations for SAS ports Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 180/183] ata: libata-sata: increase PMP SRST timeout to 10s Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 181/183] fs: binfmt_elf_efpic: fix personality for ELF-FDPIC Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 182/183] drm/meson: fix memory leak on ->hpd_notify callback Greg Kroah-Hartman
2023-10-04 17:56 ` [PATCH 5.15 183/183] netfilter: nf_tables: fix kdoc warnings after gc rework Greg Kroah-Hartman
2023-10-04 18:43 ` [PATCH 5.15 000/183] 5.15.134-rc1 review Florian Fainelli
2023-10-06 10:25   ` Greg Kroah-Hartman
2023-10-06 10:37     ` Harshit Mogalapalli
2023-10-06 11:03       ` Greg Kroah-Hartman
2023-10-06 12:15         ` Sasha Levin
2023-10-06 17:23           ` Florian Fainelli
2023-10-05  1:01 ` Shuah Khan
2023-10-05  1:31 ` SeongJae Park
2023-10-05 17:49 ` Naresh Kamboju
2023-10-06 16:20   ` Liam R. Howlett
2023-10-06 16:47     ` Paul E. McKenney
2023-10-06 17:57       ` Liam R. Howlett
2023-10-06 18:20         ` Paul E. McKenney
2023-10-08  1:22           ` Joel Fernandes
2023-10-09  1:20             ` Paul E. McKenney
2023-10-11  1:34               ` Paul E. McKenney
2023-10-11  5:05                 ` Joel Fernandes
2023-10-11 10:25                   ` Paul E. McKenney
2023-10-11 13:47                 ` Frederic Weisbecker
2023-10-11 16:31                   ` Paul E. McKenney
2023-10-11  2:44               ` Joel Fernandes
2023-10-11  3:11                 ` Paul E. McKenney
2023-10-05 22:18 ` Guenter Roeck
2023-10-06  7:40 ` Ron Economos
2023-10-06  9:32 ` Jon Hunter
2023-10-11 15:58 ` Joel Fernandes
2023-10-11 17:44   ` Greg Kroah-Hartman
2023-10-16  2:25     ` Joel Fernandes
2023-10-16  8:06       ` Greg Kroah-Hartman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20231004175209.063043872@linuxfoundation.org \
    --to=gregkh@linuxfoundation.org \
    --cc=patches@lists.linux.dev \
    --cc=rbmarliere@gmail.com \
    --cc=sashal@kernel.org \
    --cc=skhan@linuxfoundation.org \
    --cc=stable@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox